## mrbayes 0.1.0

=== DESCRIPTION ===
Package: mrbayes
Type: Package
Title: Bayesian Summary Data Models for Mendelian Randomization Studies
Version: 0.1.0
Authors@R: c(person("Okezie", "Uche-Ikonne", 
  email = "o.uche-ikonne@lancaster.ac.uk",
  role = c("aut", "cre"),
  comment = c(ORCID = "0000-0002-8461-8099")),
  person("Frank", "Dondelinger",
  email = "f.dondelinger@lancaster.ac.uk", role = c("aut"),
  comment = c(ORCID = "0000-0003-1816-6300")),
  person("Tom", "Palmer", 
    email = "tom.palmer@lancaster.ac.uk", role = c("aut"),
    comment = c(ORCID = "0000-0003-4655-4511")))
Description: Bayesian estimation of inverse variance weighted (IVW), Burgess 
    et al. (2013) <doi:10.1002/gepi.21758>, and MR-Egger, Bowden et 
    al. (2015) <doi:10.1093/ije/dyv080>, summary data models for Mendelian 
    randomization analyses.
Depends: R (>= 3.5.0)
Imports: methods
License: GPL-3
Encoding: UTF-8
LazyData: true
Suggests: testthat, rjags (>= 4-9), tidyverse, knitr, ggplot2, ggmcmc,
        foreign, DescTools, bayesmeta, utils, kableExtra, roxygen2,
        bookdown
URL: https://github.com/okezie94/mrbayes
BugReports: https://github.com/okezie94/mrbayes/issues
RoxygenNote: 6.1.1
SystemRequirements: JAGS 4.x.y
NeedsCompilation: no
Packaged: 2019-09-03 13:34:56 UTC; ucheikon
Author: Okezie Uche-Ikonne [aut, cre] (<https://orcid.org/0000-0002-8461-8099>),
  Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
  Tom Palmer [aut] (<https://orcid.org/0000-0003-4655-4511>)
Maintainer: Okezie Uche-Ikonne <o.uche-ikonne@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2019-09-04 09:30:05 UTC

## mrbayes 0.2.0

=== DESCRIPTION ===
Package: mrbayes
Type: Package
Title: Bayesian Summary Data Models for Mendelian Randomization Studies
Version: 0.2.0
Authors@R: c(
  person("Okezie", "Uche-Ikonne",
    email = "o.uche-ikonne@lancaster.ac.uk",
    role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-8461-8099")),
  person("Frank", "Dondelinger",
    email = "f.dondelinger@lancaster.ac.uk", 
    role = c("aut"),
    comment = c(ORCID = "0000-0003-1816-6300")),
  person("Tom", "Palmer", 
    email = "tom.palmer@bristol.ac.uk", 
    role = c("aut"),
    comment = c(ORCID = "0000-0003-4655-4511")))
Description: Bayesian estimation of inverse variance weighted (IVW), Burgess 
    et al. (2013) <doi:10.1002/gepi.21758>, and MR-Egger, Bowden et 
    al. (2015) <doi:10.1093/ije/dyv080>, summary data models for Mendelian 
    randomization analyses.
Depends: R (>= 3.5.0)
Imports: methods, Rcpp (>= 0.12.0), rstan (>= 2.18.1), rstantools (>=
        2.0.0)
License: GPL-3
Encoding: UTF-8
LazyData: true
Suggests: testthat, rjags (>= 4-9), tidyverse, knitr, ggplot2, ggmcmc,
        foreign, DescTools, bayesmeta, utils, kableExtra, roxygen2,
        bookdown
URL: https://github.com/okezie94/mrbayes
BugReports: https://github.com/okezie94/mrbayes/issues
RoxygenNote: 7.1.0
SystemRequirements: GNU make
Biarch: true
LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
        rstan (>= 2.18.1), StanHeaders (>= 2.18.0)
NeedsCompilation: yes
Packaged: 2020-05-28 13:36:46 UTC; tom
Author: Okezie Uche-Ikonne [aut, cre] (<https://orcid.org/0000-0002-8461-8099>),
  Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
  Tom Palmer [aut] (<https://orcid.org/0000-0003-4655-4511>)
Maintainer: Okezie Uche-Ikonne <o.uche-ikonne@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2020-05-28 15:40:14 UTC

## mrbayes 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mrbayes
 Type: Package
 Title: Bayesian Summary Data Models for Mendelian Randomization Studies
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
   person("Okezie", "Uche-Ikonne",
     email = "o.uche-ikonne@lancaster.ac.uk",
@@ -21,25 +21,25 @@
     randomization analyses.
 Depends: R (>= 3.5.0)
 Imports: methods, Rcpp (>= 0.12.0), rstan (>= 2.18.1), rstantools (>=
-        2.0.0)
+        2.0.0), plyr
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
 Suggests: testthat, rjags (>= 4-9), tidyverse, knitr, ggplot2, ggmcmc,
         foreign, DescTools, bayesmeta, utils, kableExtra, roxygen2,
-        bookdown
+        bookdown, MendelianRandomization
 URL: https://github.com/okezie94/mrbayes
 BugReports: https://github.com/okezie94/mrbayes/issues
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 SystemRequirements: GNU make
 Biarch: true
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         rstan (>= 2.18.1), StanHeaders (>= 2.18.0)
 NeedsCompilation: yes
-Packaged: 2020-05-28 13:36:46 UTC; tom
+Packaged: 2021-04-01 14:49:00 UTC; okezieuche-ikonne
 Author: Okezie Uche-Ikonne [aut, cre] (<https://orcid.org/0000-0002-8461-8099>),
   Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
   Tom Palmer [aut] (<https://orcid.org/0000-0003-4655-4511>)
 Maintainer: Okezie Uche-Ikonne <o.uche-ikonne@lancaster.ac.uk>
 Repository: CRAN
-Date/Publication: 2020-05-28 15:40:14 UTC
+Date/Publication: 2021-04-01 16:50:12 UTC

## mrbayes 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: mrbayes
 Type: Package
 Title: Bayesian Summary Data Models for Mendelian Randomization Studies
-Version: 0.3.0
+Version: 0.4.0
 Authors@R: c(
   person("Okezie", "Uche-Ikonne",
-    email = "o.uche-ikonne@lancaster.ac.uk",
+    email = "okezieikonne@gmail.com",
     role = c("aut", "cre"),
     comment = c(ORCID = "0000-0002-8461-8099")),
   person("Frank", "Dondelinger",
@@ -36,10 +36,10 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         rstan (>= 2.18.1), StanHeaders (>= 2.18.0)
 NeedsCompilation: yes
-Packaged: 2021-04-01 14:49:00 UTC; okezieuche-ikonne
+Packaged: 2021-07-13 09:53:18 UTC; okezieuche-ikonne
 Author: Okezie Uche-Ikonne [aut, cre] (<https://orcid.org/0000-0002-8461-8099>),
   Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
   Tom Palmer [aut] (<https://orcid.org/0000-0003-4655-4511>)
-Maintainer: Okezie Uche-Ikonne <o.uche-ikonne@lancaster.ac.uk>
+Maintainer: Okezie Uche-Ikonne <okezieikonne@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-04-01 16:50:12 UTC
+Date/Publication: 2021-07-13 12:00:02 UTC

## mrbayes 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mrbayes
 Type: Package
 Title: Bayesian Summary Data Models for Mendelian Randomization Studies
-Version: 0.4.0
+Version: 0.5.0
 Authors@R: c(
   person("Okezie", "Uche-Ikonne",
     email = "okezieikonne@gmail.com",
@@ -30,16 +30,16 @@
         bookdown, MendelianRandomization
 URL: https://github.com/okezie94/mrbayes
 BugReports: https://github.com/okezie94/mrbayes/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 SystemRequirements: GNU make
 Biarch: true
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         rstan (>= 2.18.1), StanHeaders (>= 2.18.0)
 NeedsCompilation: yes
-Packaged: 2021-07-13 09:53:18 UTC; okezieuche-ikonne
+Packaged: 2021-09-21 07:14:44 UTC; okezieuche-ikonne
 Author: Okezie Uche-Ikonne [aut, cre] (<https://orcid.org/0000-0002-8461-8099>),
   Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
   Tom Palmer [aut] (<https://orcid.org/0000-0003-4655-4511>)
 Maintainer: Okezie Uche-Ikonne <okezieikonne@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-07-13 12:00:02 UTC
+Date/Publication: 2021-09-21 13:10:31 UTC

## mrbayes 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mrbayes
 Type: Package
 Title: Bayesian Summary Data Models for Mendelian Randomization Studies
-Version: 0.5.0
+Version: 0.5.1
 Authors@R: c(
   person("Okezie", "Uche-Ikonne",
     email = "okezieikonne@gmail.com",
@@ -36,10 +36,10 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         rstan (>= 2.18.1), StanHeaders (>= 2.18.0)
 NeedsCompilation: yes
-Packaged: 2021-09-21 07:14:44 UTC; okezieuche-ikonne
+Packaged: 2021-10-02 12:16:01 UTC; okezieuche-ikonne
 Author: Okezie Uche-Ikonne [aut, cre] (<https://orcid.org/0000-0002-8461-8099>),
   Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
   Tom Palmer [aut] (<https://orcid.org/0000-0003-4655-4511>)
 Maintainer: Okezie Uche-Ikonne <okezieikonne@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-09-21 13:10:31 UTC
+Date/Publication: 2021-10-02 14:50:02 UTC

## mrbayes 0.5.2

=== DESCRIPTION ===
Type: Package
Package: mrbayes
Title: Bayesian Summary Data Models for Mendelian Randomization Studies
Version: 0.5.2
Authors@R: c(
    person("Okezie", "Uche-Ikonne", , "okezieikonne@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-8461-8099")),
    person("Frank", "Dondelinger", , "f.dondelinger@lancaster.ac.uk", role = "aut",
           comment = c(ORCID = "0000-0003-1816-6300")),
    person("Tom", "Palmer", , "remlapmot@hotmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4655-4511"))
  )
Description: Bayesian estimation of inverse variance weighted (IVW),
    Burgess et al. (2013) <doi:10.1002/gepi.21758>, and MR-Egger, Bowden
    et al. (2015) <doi:10.1093/ije/dyv080>, summary data models for
    Mendelian randomization analyses.
License: GPL-3
URL: https://github.com/okezie94/mrbayes,
        https://okezie94.github.io/mrbayes/,
        https://mrcieu.r-universe.dev/mrbayes
BugReports: https://github.com/okezie94/mrbayes/issues
Depends: R (>= 3.6.0)
Imports: DescTools, methods, Rcpp (>= 0.12.0), RcppParallel (>= 5.0.1),
        rstan (>= 2.18.1), rstantools (>= 2.4.0)
Suggests: MendelianRandomization, rjags (>= 4-9), testthat
LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
        RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
        2.18.0)
Biarch: true
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
SystemRequirements: GNU make
NeedsCompilation: yes
Packaged: 2024-08-19 09:51:21 UTC; eptmp
Author: Okezie Uche-Ikonne [aut] (<https://orcid.org/0000-0002-8461-8099>),
  Frank Dondelinger [aut] (<https://orcid.org/0000-0003-1816-6300>),
  Tom Palmer [aut, cre] (<https://orcid.org/0000-0003-4655-4511>)
Maintainer: Tom Palmer <remlapmot@hotmail.com>
Repository: CRAN
Date/Publication: 2024-08-19 11:50:02 UTC

## mrbayes 3.1.2

=== Makefile ===
# CONFIG

# Choose: mac, windows, or unix
ARCHITECTURE ?= unix   

# Set MPI=yes for the parallel version
MPI ?= no

# Set DEBUG=yes for a debug version of mrbayes, otherwise set OPTFLAGS 
# to the desired optimization level (e.g. -O2 -fomit-frame-pointer for
# less aggressive optimization than the default -O3)
#
# See the MrBayes manual for some optimization hints for your particular 
# architecture or consult the manual of your compiler, eg. "info gcc".

DEBUG ?= no
#OPTFLAGS = -O2 -march=pentium4 -mfpmath=sse -fomit-frame-pointers
OPTFLAGS ?= -O3

# set compiler for the non-MPI version (mpicc will be used for the MPI
# version regardless of this setting)
CC = gcc

# set to yes if you want to use the readline library (make sure you have it
# installed on your machine)
# defaults to yes for unix machines
ifeq ($(strip $(ARCHITECTURE)), unix)
   USEREADLINE ?= yes
else
   USEREADLINE ?= no
endif

#
# End of user configuration

ifeq ($(strip $(ARCHITECTURE)),mac) 
	CFLAGS += -DMAC_VERSION
else 
ifeq ($(strip $(ARCHITECTURE)), windows)
	CFLAGS += -DWIN_VERSION
else 
ifeq ($(strip $(ARCHITECTURE)), unix)
	CFLAGS += -DUNIX_VERSION
else
	ARCHITECTURE = none
endif
endif
endif

ifeq  ($(strip $(USEREADLINE)),yes)
    CFLAGS += -DUSE_READLINE
	LIBS += -lncurses -lreadline 
endif

ifeq  ($(strip $(MPI)),yes)
	CFLAGS += -DMPI_ENABLED
	CC = mpicc
endif

ifeq ($(strip $(DEBUG)), yes)
	CFLAGS += -ggdb
else
	CFLAGS += $(OPTFLAGS)
endif

CFLAGS   +=   -Wall 

LIBS     +=   -lm

LDFLAGS  =   $(CFLAGS)
LDLIBS   =   $(LIBS)

OBJECTS   =   bayes.o command.o mbmath.o mcmc.o model.o plot.o sump.o sumt.o

PROGS     =   mb 

ifeq ($(ARCHITECTURE), none)
missing:
	@echo
	@echo Please set compilation target in this Makefile.
	@echo set ARCHITECTURE to one of \"mac\", \"windows\" or \"unix\"
	@echo set MPI to yes if you want to use the parallel version
	@echo set DEBUG to generate a debug version of MrBayes
	@echo
endif 

all:		$(PROGS) 

clean:		
		rm -f *.o

showdep: 
	@$(CC) -MM bayes.c command.c mbmath.c mcmc.c model.c plot.c sump.c sumt.c

mb: mb.o bayes.o command.o mbmath.o mcmc.o model.o plot.o sump.o sumt.o 

# dependencies are generated by make showdep
bayes.o: bayes.c mb.h globals.h bayes.h command.h mcmc.o
command.o: command.c mb.h globals.h command.h bayes.h model.h mcmc.h \
   plot.h sump.h sumt.h 	 
mbmath.o: mbmath.c mb.h globals.h mbmath.h bayes.h 	 
mcmc.o: mcmc.c mb.h globals.h bayes.h mcmc.h model.h command.h mbmath.h \
   sump.h sumt.h plot.h 	 
model.o: model.c mb.h globals.h bayes.h model.h command.h 	 
plot.o: plot.c mb.h globals.h command.h bayes.h plot.h sump.h 	 
sump.o: sump.c mb.h globals.h command.h bayes.h sump.h mcmc.h 	 
sumt.o: sumt.c mb.h globals.h command.h bayes.h mbmath.h sumt.h mcmc.h

=== debian/changelog ===
mrbayes (3.1.2-2) unstable; urgency=low

  * debian/control:
     - Depends: s/openmpi-common, openmpi-bin/mpi-default-bin/
       Closes: #630994
     - Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2011 16:02:55 +0200

mrbayes (3.1.2-1) unstable; urgency=low

  * Initial release in Debian (Closes: #611928)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2011 22:23:31 +0100

mrbayes (3.1.2-0ubuntu1) feisty; urgency=low

  * Initial release.
  * Patch applied: misc/makefile_clean_binary.diff
  * Patch applied: misc/man1.diff

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Thu,  9 Nov 2006 02:37:20 -0200

=== debian/control ===
Source: mrbayes
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Fernando Ribeiro <fernando@staff.nerdgroup.org>,
 Steffen Moeller <moeller@debian.org>,
 Dominique Belhachemi <domibel@debian.org>,
 Pjotr Prins <pjotr.debian@thebird.nl>,
 Andreas Tille <tille@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), libreadline-dev, mpi-default-dev, quilt (>=0.47)
Homepage: http://mrbayes.csit.fsu.edu/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mrbayes/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mrbayes/trunk/


Package: mrbayes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Bayesian Inference of Phylogeny
 Bayesian inference of phylogeny is based upon a quantity called the posterior
 probability distribution of trees, which is the probability of a tree 
 conditioned on the observations. The conditioning is accomplished using 
 Bayes's theorem. The posterior probability distribution of trees is 
 impossible to calculate analytically; instead, MrBayes uses a simulation 
 technique called Markov chain Monte Carlo (or MCMC) to approximate the 
 posterior probabilities of trees.

Package: mrbayes-mpi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin
Suggests: mpi-default
Description: Bayesian Inference of Phylogeny - mpi version
 Bayesian inference of phylogeny is based upon a quantity called the posterior
 probability distribution of trees, which is the probability of a tree
 conditioned on the observations. The conditioning is accomplished using
 Bayes's theorem. The posterior probability distribution of trees is
 impossible to calculate analytically; instead, MrBayes uses a simulation
 technique called Markov chain Monte Carlo (or MCMC) to approximate the
 posterior probabilities of trees.
 .
 This package offers a binary compiled for parallel computation with MPI.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mrbayes
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean
	rm -f mb mb-mpi

override_dh_auto_build:
	# build mb-mpi
	MPI=yes LIBS="-Wl,--as-needed" $(MAKE)
	mv mb mb-mpi

        # build mb
	# $(MAKE) clean # <-- seems to delete mb-mpi somehow, so rm *.o files manually
	rm -f *.o
	MPI=no LIBS="-Wl,--as-needed" $(MAKE)

=== debian/watch ===
version=3
http://sf.net/mrbayes/mrbayes-([\d\.]+)\.tar\.gz

## mrbayes 3.2.0+dfsg

=== debian/changelog ===
mrbayes (3.2.0+dfsg-1) unstable; urgency=low

  * New upstream version uploaded to Debian
  * debian/patches: removed because applied upstream
  * debian/control:
     - ehanced description of mrbayes-dbg
     - added doc package featuring the provided manual
  * debian/watch: call debian/get-orig-source to fetch sources
    for PDF documentation
  * debian/get-orig-source: Create new tarball including source
    for PDF documentation.
  * debian/rules:
     - get-orig-source target
     - prevent dh_compress from compressing docs
  * debian/mrbayes-doc.install: install documentation
  * debian/mrbayes-doc.doc-base

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2012 21:07:23 +0100

mrbayes (3.2.0-2) lucid; urgency=low

  * A couple of build fixes
  * Add dependencies on autotools
  * Now builds against Beagle library so CUDA should be possible

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 14 Dec 2011 13:05:36 +0000

mrbayes (3.2.0-1) lucid; urgency=low

  * Rebuild of new 3.2.0 release.  Pjotr mentioned having a package for
    the pre-release but I can't find that work in SVN.
  * Current build is without Beagle - this needs packaging - nothing
    to do with existing libbeagle-dev package.

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 06 Dec 2011 16:57:45 +0000

mrbayes (3.1.2-3) UNRELEASED; urgency=low

  * Added -dbg package.

 -- Steffen Moeller <moeller@debian.org>  Wed, 12 Oct 2011 21:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  Pjotr Prins <pjotr.debian@thebird.nl>,
  Andreas Tille <tille@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), libreadline-dev, mpi-default-dev, quilt (>=0.47)
+Build-Depends: debhelper (>= 8), libreadline-dev, mpi-default-dev, quilt (>=0.47), libhmsbeagle-dev, autoconf (>= 2.65), automake (>= 1:1.11)
 Homepage: http://mrbayes.csit.fsu.edu/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mrbayes/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mrbayes/trunk/
 
-
 Package: mrbayes
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhmsbeagle1
+Suggests: mrbayes-doc
 Description: Bayesian Inference of Phylogeny
  Bayesian inference of phylogeny is based upon a quantity called the posterior
  probability distribution of trees, which is the probability of a tree 
@@ -30,7 +30,7 @@
 Package: mrbayes-mpi
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin
-Suggests: mpi-default
+Suggests: mpi-default, mrbayes-doc
 Description: Bayesian Inference of Phylogeny - mpi version
  Bayesian inference of phylogeny is based upon a quantity called the posterior
  probability distribution of trees, which is the probability of a tree
@@ -41,3 +41,39 @@
  posterior probabilities of trees.
  .
  This package offers a binary compiled for parallel computation with MPI.
+
+Package: mrbayes-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Depends: ${misc:Depends}, mrbayes (= ${binary:Version}) | mrbayes-mpi (= ${binary:Version})
+Conflicts:  mrbayes (<< ${binary:Version}), mrbayes (>> ${binary:Version}), mrbayes-mpi (<< ${binary:Version}), mrbayes-mpi (>> ${binary:Version})
+Description: Bayesian Inference of Phylogeny - debug symbols
+ Bayesian inference of phylogeny is based upon a quantity called the posterior
+ probability distribution of trees, which is the probability of a tree
+ conditioned on the observations. The conditioning is accomplished using
+ Bayes's theorem. The posterior probability distribution of trees is
+ impossible to calculate analytically; instead, MrBayes uses a simulation
+ technique called Markov chain Monte Carlo (or MCMC) to approximate the
+ posterior probabilities of trees.
+ .
+ The package provides the debug symbols that are otherwise stripped from
+ the binaries to reduce the footprint of the package. This package can be
+ installed to help debugging of problems when running mrbayes.
+
+Package: mrbayes-doc
+Architecture: all
+Priority: extra
+Section: doc
+Depends: ${misc:Depends}
+Enhances: mrbayes
+Description: Bayesian Inference of Phylogeny - manual
+ Bayesian inference of phylogeny is based upon a quantity called the posterior
+ probability distribution of trees, which is the probability of a tree
+ conditioned on the observations. The conditioning is accomplished using
+ Bayes's theorem. The posterior probability distribution of trees is
+ impossible to calculate analytically; instead, MrBayes uses a simulation
+ technique called Markov chain Monte Carlo (or MCMC) to approximate the
+ posterior probabilities of trees.
+ .
+ This package provides the manual vor MrBayes.

## mrbayes 3.2.1+dfsg

=== debian/changelog ===
mrbayes (3.2.1+dfsg-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add publication data
  * debian/patches/as-needed.patch: Enable building using --as-needed
    thanks for the patch to Ilya Barygin <randomaction@ubuntu.com>
    Closes: #678175
  * debian/control: Dropped quilt from Build-Depends
  * debhelper 9 (control+compat)
  * debian/rules: use xz compression

  [ Charles Plessy ]
  * debian/control: corrected a typo (Closes: #671666).

 -- Andreas Tille <tille@debian.org>  Fri, 10 Aug 2012 15:37:50 +0200

mrbayes (3.2.1+dfsg-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
  * debian/control: Fixed DEP5 issues and verified using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 09:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  Dominique Belhachemi <domibel@debian.org>,
  Pjotr Prins <pjotr.debian@thebird.nl>,
  Andreas Tille <tille@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), libreadline-dev, mpi-default-dev, quilt (>=0.47), libhmsbeagle-dev, autoconf (>= 2.65), automake (>= 1:1.11)
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libreadline-dev, mpi-default-dev, libhmsbeagle-dev, autoconf (>= 2.65), automake (>= 1:1.11)
 Homepage: http://mrbayes.csit.fsu.edu/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mrbayes/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mrbayes/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mrbayes/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mrbayes/trunk/
 
 Package: mrbayes
 Architecture: any
@@ -76,4 +76,4 @@
  technique called Markov chain Monte Carlo (or MCMC) to approximate the
  posterior probabilities of trees.
  .
- This package provides the manual vor MrBayes.
+ This package provides the manual for MrBayes.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mrbayes
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	#Configure for MPI at first
	( cd src ; autoconf )
	dh_auto_configure -- --with-beagle=/usr --enable-mpi=yes --enable-debug=yes

override_dh_auto_clean:
	( cd src ; $(MAKE) -f Makefile.in distclean )
	rm -f src/configure
	rm -f mb mb-mpi src/mb

override_dh_auto_build:
	# build mb-mpi (from initial config)
	LIBS="-Wl,--as-needed" dh_auto_build
	mv src/mb ./mb-mpi
	# Now - build mb
	( cd src ; make clean )
	dh_auto_configure -- --with-beagle=/usr --enable-mpi=no --enable-debug=yes
	LIBS="-Wl,--as-needed" dh_auto_build
	mv src/mb .

override_dh_strip:
	dh_strip --dbg-package=mrbayes-dbg

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_builddeb:
	dh_builddeb -- -Z xz

get-orig-source:
	uscan --verbose --force-download

## mrbayes 3.2.2+dfsg

=== debian/changelog ===
mrbayes (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
     - cme fix dpkg-control
       Remark: Pre-Depends: dpkg (>= 1.15.6~) can definitely be dropped
       since even oldstable has a later dpkg.  Most probably a very old
       lintian was used in the check for the previous version
     - Canoncial Vcs fields
     - mrbayes-dbg: s/Conflicts/Breaks/
     - Build-Depends: libhmsbeagle-dev (<< 2.1-1) | libhmsbeagle-dev (>= 2.1-2)
       since libhmsbeagle-dev (= 2.1-1) is lacking the unversioned header dir
  * debian/patches/ldlibs.patch: Make sure we are properly linking against
    all libs
  * debian/rules: deactivate dh_auto_install since it tries to move files
    to /usr/local/bin
  * debian/README.source: removed since redundant

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2014 14:38:47 +0100

mrbayes (3.2.1+dfsg-2ubuntu1) precise; urgency=low

  * Rebuild for Ubuntu.  Fix Lintian warning about xz

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 10 Aug 2012 15:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: mrbayes
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Fernando Ribeiro <fernando@staff.nerdgroup.org>,
+           Steffen Moeller <moeller@debian.org>,
+           Dominique Belhachemi <domibel@debian.org>,
+           Pjotr Prins <pjotr.debian@thebird.nl>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Fernando Ribeiro <fernando@staff.nerdgroup.org>,
- Steffen Moeller <moeller@debian.org>,
- Dominique Belhachemi <domibel@debian.org>,
- Pjotr Prins <pjotr.debian@thebird.nl>,
- Andreas Tille <tille@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9), libreadline-dev, mpi-default-dev, libhmsbeagle-dev, autoconf (>= 2.65), automake (>= 1:1.11)
+Build-Depends: debhelper (>= 9),
+               libreadline-dev,
+               mpi-default-dev,
+               libhmsbeagle-dev (<< 2.1-1) | libhmsbeagle-dev (>= 2.1-2),
+               autoconf,
+               automake
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mrbayes/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mrbayes/trunk/
 Homepage: http://mrbayes.csit.fsu.edu/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mrbayes/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mrbayes/trunk/
 
 Package: mrbayes
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhmsbeagle1
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libhmsbeagle1
 Suggests: mrbayes-doc
 Description: Bayesian Inference of Phylogeny
  Bayesian inference of phylogeny is based upon a quantity called the posterior
@@ -29,8 +35,11 @@
 
 Package: mrbayes-mpi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin
-Suggests: mpi-default, mrbayes-doc
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         mpi-default-bin
+Suggests: mpi-default,
+          mrbayes-doc
 Description: Bayesian Inference of Phylogeny - mpi version
  Bayesian inference of phylogeny is based upon a quantity called the posterior
  probability distribution of trees, which is the probability of a tree
@@ -44,10 +53,14 @@
 
 Package: mrbayes-dbg
 Architecture: any
+Section: debug
 Priority: extra
-Section: debug
-Depends: ${misc:Depends}, mrbayes (= ${binary:Version}) | mrbayes-mpi (= ${binary:Version})
-Conflicts:  mrbayes (<< ${binary:Version}), mrbayes (>> ${binary:Version}), mrbayes-mpi (<< ${binary:Version}), mrbayes-mpi (>> ${binary:Version})
+Depends: ${misc:Depends},
+         mrbayes (= ${binary:Version}) | mrbayes-mpi (= ${binary:Version})
+Breaks: mrbayes (<< ${binary:Version}),
+        mrbayes (>> ${binary:Version}),
+        mrbayes-mpi (<< ${binary:Version}),
+        mrbayes-mpi (>> ${binary:Version})
 Description: Bayesian Inference of Phylogeny - debug symbols
  Bayesian inference of phylogeny is based upon a quantity called the posterior
  probability distribution of trees, which is the probability of a tree
@@ -63,8 +76,8 @@
 
 Package: mrbayes-doc
 Architecture: all
+Section: doc
 Priority: extra
-Section: doc
 Depends: ${misc:Depends}
 Enhances: mrbayes
 Description: Bayesian Inference of Phylogeny - manual

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 	LIBS="-Wl,--as-needed" dh_auto_build
 	mv src/mb .
 
+override_dh_auto_install:
+	echo "Do not try to install to /usr/local/bin"
+
 override_dh_strip:
 	dh_strip --dbg-package=mrbayes-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/mrbayes/mrbayes-([\d\.]+)\.tar\.gz \
    debian debian/get-orig-source

## mrbayes 3.2.3+dfsg

=== debian/changelog ===
mrbayes (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/rules
     - use xz in get-orig-source target
     - drop redundant xz compression for binary package
  * Adapt get-orig-source script
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 25 Oct 2014 09:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libhmsbeagle-dev (<< 2.1-1) | libhmsbeagle-dev (>= 2.1-2),
                autoconf,
                automake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mrbayes/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mrbayes/trunk/
 Homepage: http://mrbayes.csit.fsu.edu/

## mrbayes 3.2.5+dfsg

=== debian/changelog ===
mrbayes (3.2.5+dfsg-1ubuntu1) wily; urgency=medium

  * Drop wrong hard-coded dep on libhmsbeagle1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 23:07:00 +0000

mrbayes (3.2.5+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libhmsbeagle1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 05:22:47 +0000

mrbayes (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Restore old get-orig-source script that works again now

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jun 2015 08:56:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mrbayes
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Fernando Ribeiro <fernando@staff.nerdgroup.org>,
            Steffen Moeller <moeller@debian.org>,
            Dominique Belhachemi <domibel@debian.org>,
@@ -22,7 +23,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libhmsbeagle1
 Suggests: mrbayes-doc
 Description: Bayesian Inference of Phylogeny
  Bayesian inference of phylogeny is based upon a quantity called the posterior

=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,7 @@
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
+get-orig-source:
+	# uscan is really calling get-orig-source script since it fetchs additional files from svn
+	uscan --verbose --force-download
 
-get-orig-source:
-	uscan --verbose --force-download

## mrbayes 3.2.6%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mrbayes
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Fernando Ribeiro <fernando@staff.nerdgroup.org>,
            Steffen Moeller <moeller@debian.org>,
            Dominique Belhachemi <domibel@debian.org>,
@@ -14,15 +13,15 @@
                libhmsbeagle-dev (<< 2.1-1) | libhmsbeagle-dev (>= 2.1-2),
                autoconf,
                automake
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mrbayes/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mrbayes/trunk/
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mrbayes.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/mrbayes.git
 Homepage: http://mrbayes.csit.fsu.edu/
 
 Package: mrbayes
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Suggests: mrbayes-doc
 Description: Bayesian Inference of Phylogeny
  Bayesian inference of phylogeny is based upon a quantity called the posterior
@@ -37,7 +36,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         mpi-default-bin
+         mpi-default-bin,
+         ssh
 Suggests: mpi-default,
           mrbayes-doc
 Description: Bayesian Inference of Phylogeny - mpi version
@@ -50,29 +50,6 @@
  posterior probabilities of trees.
  .
  This package offers a binary compiled for parallel computation with MPI.
-
-Package: mrbayes-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         mrbayes (= ${binary:Version}) | mrbayes-mpi (= ${binary:Version})
-Breaks: mrbayes (<< ${binary:Version}),
-        mrbayes (>> ${binary:Version}),
-        mrbayes-mpi (<< ${binary:Version}),
-        mrbayes-mpi (>> ${binary:Version})
-Description: Bayesian Inference of Phylogeny - debug symbols
- Bayesian inference of phylogeny is based upon a quantity called the posterior
- probability distribution of trees, which is the probability of a tree
- conditioned on the observations. The conditioning is accomplished using
- Bayes's theorem. The posterior probability distribution of trees is
- impossible to calculate analytically; instead, MrBayes uses a simulation
- technique called Markov chain Monte Carlo (or MCMC) to approximate the
- posterior probabilities of trees.
- .
- The package provides the debug symbols that are otherwise stripped from
- the binaries to reduce the footprint of the package. This package can be
- installed to help debugging of problems when running mrbayes.
 
 Package: mrbayes-doc
 Architecture: all

## mrbayes 3.2.6+dfsg

=== debian/changelog ===
mrbayes (3.2.6+dfsg-2ubuntu2) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 21:12:50 +0100

mrbayes (3.2.6+dfsg-2ubuntu1) cosmic; urgency=medium

  * Don't build the mrbayes-mpi package on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jun 2018 12:26:12 +0200

mrbayes (3.2.6+dfsg-2build1) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 17:01:51 +0000

mrbayes (3.2.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite 
  * Add tests for mb-mpi
  * Add missing ssh dependency for mb-mpi

  [ Steffen Moeller ]
  * [debian/upstream/metadata] added refs to registries

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Wed, 19 Jul 2017 23:40:13 -0400

mrbayes (3.2.6+dfsg-1) unstable; urgency=medium

  * Moved to Git
  * New upstream version
  * Remove manual debug package which will now be created automatically

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 22:35:51 +0100

mrbayes (3.2.5+dfsg-2) unstable; urgency=medium

  * Avoid hardcoded shared library dependency
    Closes: #798070

 -- Andreas Tille <tille@debian.org>  Sat, 05 Sep 2015 15:53:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libreadline-dev,
-               mpi-default-dev,
+               mpi-default-dev [!armhf],
                libhmsbeagle-dev (<< 2.1-1) | libhmsbeagle-dev (>= 2.1-2),
                autoconf,
                automake
@@ -33,7 +33,7 @@
  posterior probabilities of trees.
 
 Package: mrbayes-mpi
-Architecture: any
+Architecture: amd64 i386 arm64 ppc64el s390x
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          mpi-default-bin,

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+  with_mpi = no
+else
+  with_mpi = yes
+endif
+
 %:
 	dh $@ --sourcedirectory=src
 
 override_dh_auto_configure:
 	#Configure for MPI at first
 	( cd src ; autoconf )
+ifeq ($(with_mpi),yes)
 	dh_auto_configure -- --with-beagle=/usr --enable-mpi=yes --enable-debug=yes
+endif
 
 override_dh_auto_clean:
 	( cd src ; $(MAKE) -f Makefile.in distclean )
@@ -20,20 +28,19 @@
 	rm -f mb mb-mpi src/mb
 
 override_dh_auto_build:
+ifeq ($(with_mpi),yes)
 	# build mb-mpi (from initial config)
 	LIBS="-Wl,--as-needed" dh_auto_build
 	mv src/mb ./mb-mpi
 	# Now - build mb
 	( cd src ; make clean )
+endif
 	dh_auto_configure -- --with-beagle=/usr --enable-mpi=no --enable-debug=yes
 	LIBS="-Wl,--as-needed" dh_auto_build
 	mv src/mb .
 
 override_dh_auto_install:
 	echo "Do not try to install to /usr/local/bin"
-
-override_dh_strip:
-	dh_strip --dbg-package=mrbayes-dbg
 
 override_dh_compress:
 	dh_compress --exclude=.pdf

## mrbayes 3.2.7a

=== debian/changelog ===
mrbayes (3.2.7a-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:52:27 +0100

mrbayes (3.2.7a-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + mrbayes-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 15:00:20 +0200

mrbayes (3.2.7a-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Build reproducibly
    Closes: #965319

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2020 09:50:56 +0200

mrbayes (3.2.7a-3) unstable; urgency=medium

  * Avoid baseline violation by disabling AX_EXT
    Closes: #958125, #964787
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Override dh_missing with --list-missing since due to the duplicate
    build some examples would be installed twice otherwise

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jul 2020 14:41:26 +0200

mrbayes (3.2.7a-2) unstable; urgency=medium

  * Fix binary-all build
    Closes: #958124

 -- Andreas Tille <tille@debian.org>  Fri, 08 May 2020 21:14:57 +0200

mrbayes (3.2.7a-1) unstable; urgency=medium

  * New upstream version
  * Upstream moved to Github
  * hardening=+all
  * Point Vcs fields to Salsa
  * debhelper 12
  * Drop inactive maintainers from Uploaders
  * No Priority=extra for doc package
  * Do not include rpath
  * Build-Depends: autoconf-archive, pkg-config
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Drop version restrictions from libhmsbeagle-dev
  * Fix autoconf issue
  * Autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/
  * dirty hack to simply remove debug information in mrbayes-mpi-dbgsym

 -- Andreas Tille <tille@debian.org>  Fri, 17 Apr 2020 11:33:31 +0200

=== debian/control ===
Source: mrbayes
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libreadline-dev,
               mpi-default-dev,
               libhmsbeagle-dev,
               autoconf-archive,
               pkg-config
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/mrbayes
Vcs-Git: https://salsa.debian.org/med-team/mrbayes.git
Homepage: http://mrbayes.csit.fsu.edu/
Rules-Requires-Root: no

Package: mrbayes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: mrbayes-doc
Description: Bayesian Inference of Phylogeny
 Bayesian inference of phylogeny is based upon a quantity called the posterior
 probability distribution of trees, which is the probability of a tree
 conditioned on the observations. The conditioning is accomplished using
 Bayes's theorem. The posterior probability distribution of trees is
 impossible to calculate analytically; instead, MrBayes uses a simulation
 technique called Markov chain Monte Carlo (or MCMC) to approximate the
 posterior probabilities of trees.

Package: mrbayes-mpi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mpi-default-bin,
         ssh
Suggests: mpi-default,
          mrbayes-doc
Description: Bayesian Inference of Phylogeny - mpi version
 Bayesian inference of phylogeny is based upon a quantity called the posterior
 probability distribution of trees, which is the probability of a tree
 conditioned on the observations. The conditioning is accomplished using
 Bayes's theorem. The posterior probability distribution of trees is
 impossible to calculate analytically; instead, MrBayes uses a simulation
 technique called Markov chain Monte Carlo (or MCMC) to approximate the
 posterior probabilities of trees.
 .
 This package offers a binary compiled for parallel computation with MPI.

Package: mrbayes-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: mrbayes
Multi-Arch: foreign
Description: Bayesian Inference of Phylogeny - manual
 Bayesian inference of phylogeny is based upon a quantity called the posterior
 probability distribution of trees, which is the probability of a tree
 conditioned on the observations. The conditioning is accomplished using
 Bayes's theorem. The posterior probability distribution of trees is
 impossible to calculate analytically; instead, MrBayes uses a simulation
 technique called Markov chain Monte Carlo (or MCMC) to approximate the
 posterior probabilities of trees.
 .
 This package provides the manual for MrBayes.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mrbayes
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-beagle=/usr --enable-mpi=yes --enable-debug=yes

override_dh_auto_build:
	# build mb-mpi (from initial config)
	LIBS="-Wl,--as-needed" dh_auto_build
	mv src/mb ./mb-mpi
	# Now - build mb
	( cd src ; make clean )
	dh_auto_configure -- --with-beagle=/usr --enable-mpi=no --enable-debug=yes
	LIBS="-Wl,--as-needed" dh_auto_build
	mv src/mb .

override_dh_installexamples:
	dh_installexamples
	find debian -name "Makefile*" -delete

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_installdeb:
	# FIXME: That's a dirty hack by simply removing debug information in mrbayes-mpi-dbgsym
	# Due to the duplicated build above this is just a duplicate of mrbayes-dbgsym and creates a file conflict
	if [ -d debian/.debhelper/mrbayes-mpi/dbgsym-root/usr/lib/debug ] ; then \
	    find debian/.debhelper/mrbayes-mpi/dbgsym-root/usr/lib/debug -name "*.debug" -delete ; \
	fi
	dh_installdeb

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/NBISweden/MrBayes/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
